Redmine - Patch #29033

Move attachments to their own section in issue page

2018-06-14 22:10 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.0

Description

| would like to move attachments to their own section in issue page from 2 reasons:

- to implement a collapse/expand feature
- they are not always related to the issue description
After:
Related issues:

Blocks Redmine - Patch #29263: Move issue attributes to their own section in ... New

Blocks Redmine - Feature #29034: Option to collapse/expand issue sections New

Associated revisions

Revision 17619 - 2018-11-04 08:26 - Go MAEDA

Move attachments to their own section in issue page (#29033).

Patch by Marius BALTEANU.

History

#1 - 2018-06-14 22:10 - Marius BALTEANU

- Description updated

#2 - 2018-06-14 22:48 - Marius BALTEANU

- File 0001-move-attachments-to-their-own-section.patch added

#3 - 2018-06-14 22:58 - Marius BALTEANU

- Related to Feature #29034: Option to collapse/expand issue sections added

#4 - 2018-06-15 06:17 - Bernhard Rohloff

| think the separation gives the view more structure and clarifies what the sometimes weird looking links under the description are...

+1

#5 - 2018-06-15 08:36 - Marius BALTEANU

- File deleted (0001-move-attachments-to-their-own-section.patch)

#6 - 2018-06-15 08:36 - Marius BALTEANU
- File deleted (after.png)

#7 - 2018-06-15 08:37 - Marius BALTEANU
- File 0001-move-attachments-to-their-own-section.patch added

- File after.png added

#8 - 2018-06-15 08:39 - Marius BALTEANU

I've updated my patch to use the existing label "Files" (label_attachment_plural) and to remove a CSS rule that is no longer used.
#9 - 2018-06-15 13:47 - Bernhard Rohloff
I've tested the patch and it works as expected. LGTM!

#10 - 2018-07-01 01:45 - Go MAEDA

- Target version set to 4.1.0

LGTM. | think it improves understandability of information to visually separating description and attachments.

#11 - 2018-07-23 23:12 - Marius BALTEANU

- Related to Patch #29263: Move issue attributes to their own section in issue page added

#12 - 2018-07-23 23:19 - Marius BALTEANU

- Related to deleted (Patch #29263: Move issue attributes to their own section in issue page)

#13 - 2018-07-23 23:19 - Marius BALTEANU

- Blocks Patch #29263: Move issue attributes to their own section in issue page added

#14 - 2018-07-24 00:21 - Marius BALTEANU
- Related to deleted (Feature #29034: Option to collapse/expand issue sections)

#15 - 2018-07-24 00:21 - Marius BALTEANU

- Blocks Feature #29034: Option to collapse/expand issue sections added

#16 - 2018-11-04 08:26 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for improving Redmine.
